TextRightAttachmentType 属性 (ActiveX)
指定右侧的引线如何与文本连接。 支持的平台:仅限 Windows 属性值只读:不 类型:枚举AcTextAttachmentType
言论没有其他评论。 例子VBA: Sub Example_TextManipulation() Dim oML As AcadMLeader Dim points(0 To 14) As Double ' Define the leader points points(0) = 1: points(1) = 1: points(2) = 0 points(3) = 1: points(4) = 2: points(5) = 0 points(6) = 2: points(7) = 2: points(8) = 0 points(9) = 3: points(10) = 2: points(11) = 0 points(12) = 4: points(13) = 4: points(14) = 0 Dim i As Long Set oML = ThisDrawing.ModelSpace.AddMLeader(points, i) oML.TextLeftAttachmentType = acAttachmentBottomLine oML.TextRightAttachmentType = acAttachmentMiddleOfBottom oML.TextBackgroundFill = False oML.TextDirection = acLeftToRight oML.TextHeight = 2.3 oML.TextJustify = acAttachmentPointMiddleLeft oML.TextLineSpacingDistance = 2.4 oML.TextLineSpacingFactor = 1.2 oML.TextLineSpacingStyle = acLineSpacingStyleExactly oML.TextWidth = 7.4 End Sub 可视化 LISP: (vl-load-com) (defun c:Example_TextManipulation() (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the leader points (setq points (vlax-make-safearray vlax-vbDouble '(0 . 14))) (vlax-safearray-fill points '(1 1 0 1 2 0 2 2 0 3 2 0 4 4 0 ) ) (setq i 0) (setq modelSpace (vla-get-ModelSpace doc)) (setq oML (vla-AddMLeader modelSpace points i)) (vla-put-TextLeftAttachmentType oML acAttachmentBottomLine) (vla-put-TextRightAttachmentType oML acAttachmentMiddleOfBottom) (vla-put-TextBackgroundFill oML :vlax-false) (vla-put-TextDirection oML acLeftToRight) (vla-put-TextHeight oML 2.3) (vla-put-TextJustify oML acAttachmentPointMiddleLeft) (vla-put-TextLineSpacingDistance oML 2.4) (vla-put-TextLineSpacingFactor oML 1.2) (vla-put-TextLineSpacingStyle oML acLineSpacingStyleExactly) (vla-put-TextWidth oML 7.4) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 22:30
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.